Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.plateng.gpr.registry
Interface ProductInfo

All Known Implementing Classes:
  ProductInfoImpl

    public interface ProductInfo

Returns information about the product installed in a BEA Home directory that is represented by the `ProductInfo` object.

Version:
  4.0.0 Jan 31, 2005
Author:
  Copyright (c) 2004 by BEA Systems, Inc., All Rights Reserved.

Method Summary
`java.lang.String[]` | `getComponents()` Returns the names of the components of the product represented by this `ProductInfo` object.
`java.lang.String` | `getDefaultJavaHome()` Returns the Java home of the default Java installation.
`java.lang.String` | `getDefaultJavaVendor()` Returns the Java vendor of the default Java installation.
`java.lang.String` | `getDefaultJavaVersion()` Returns the version of the default Java installation.
`java.lang.String` | `getNodeManagerListenPort()` Returns the Node Manager listen port.
`java.lang.String` | `getProductDir()` Returns the absolute path of the directory in which the product represented by this `ProductInfo` object is installed.
`java.lang.String` | `getProductName()` Returns the name of the product represented by this `ProductInfo` object.
`java.lang.String` | `getProductVersion()` Returns the version of the product represented by this `ProductInfo` object.
`java.lang.String` | `getProgramGroup()` Returns the name of the program group in which the Start menu entry is created for the product represented by this `ProductInfo` object.
`java.lang.String` | `getStartMenuLocation()` On Windows systems, this method returns the absolute path of the directory containing the Start menu entries.
`java.lang.String[]` | `getSubComponents(java.lang.String component)` Returns the names of the subcomponents for the given component.

Method Detail

### getProductName

    java.lang.String getProductName()

  Returns the name of the product represented by this `ProductInfo` object.

  Returns:
    The name of the product installed.

### getProductVersion

    java.lang.String getProductVersion()

  Returns the version of the product represented by this `ProductInfo` object.

  Returns:
    The version of the product installed. For example: 7.0.0.0, or 9.0.0.0.

### getDefaultJavaHome

    java.lang.String getDefaultJavaHome()

  Returns the Java home of the default Java installation.

  Returns:
    The absolute path, as `String`, to the default Java installation.

### getDefaultJavaVendor

    java.lang.String getDefaultJavaVendor()

  Returns the Java vendor of the default Java installation.

  Returns:
    The Java vendor of the default Java installation. For example: BEA, or SUN.

### getDefaultJavaVersion

    java.lang.String getDefaultJavaVersion()

  Returns the version of the default Java installation.

  Returns:
    The version of the default Java installation.

### getStartMenuLocation

    java.lang.String getStartMenuLocation()

  On Windows systems, this method returns the absolute path of the directory containing the Start menu entries. For example, `C:\Documents and Settings\USER\Start Menu\Programs`.

  Returns:
    The full path of the directory containing the Start menu entries on the current machine. Returns `null` on Unix systems.

### getProgramGroup

    java.lang.String getProgramGroup()

  Returns the name of the program group in which the Start menu entry for the product represented by this `ProductInfo` object is created.

  Returns:
    The name of the program group in which the Start menu entry for the product is created. Returns `null` on Unix systems.

### getComponents

    java.lang.String[] getComponents()

  Returns the names of the components of the product represented by this `ProductInfo` object.

  Returns:
    An array of `String` representing the component names.

### getSubComponents

    java.lang.String[] getSubComponents(java.lang.String component)
                                        throws java.lang.IllegalArgumentException

  Returns the names of the subcomponents for the given component.

  Parameters:
    `component` - The name of the component
  Returns:
    An array of `String` representing the subcomponent names, or an empty array if the product does not have a component that matches the input parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if the parameter is null or an empty string.

### getNodeManagerListenPort

    java.lang.String getNodeManagerListenPort()

  Returns the Node Manager listen port.

  Returns:
    A `String` representing the Node Manager listen port.

### getProductDir

    java.lang.String getProductDir()

  Returns the absolute path of the directory in which the product represented by this `ProductInfo` object is installed.

  Returns:
    The absolute path of the directory containing the installed product.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.